Answered
0
0

I installed FMOD as plugin of my project, so not in the Plugins directory of Engine but in the one my project. Everything works fine except that when I start Unreal i have this error message “Error. Missing DSP plugin ‘OCULUS spatializer’. I put the dll ovrfmod64 both in the “myproject/Binaries/Win64” and in the “myproject/Plugins/FMODStudio/Binaries/Win64” paths and I’ve added the parameter ovrfmod in the Plugin Files fileld in Unreal, but it does not work, I still have the same error. Any idea?
Thank you

  • You must to post comments
Best Answer
0
0

The missing DSP plugin warning will appear when starting the editor. That is because the editor deliberately avoids loading plugin files for maximum stability, and it will print that warning as it loads the banks.

When running PIE, it will then attempt to load the plugin and should work properly. If you find that you aren’t hearing any sound, you may want to check that you have the correct ovrfmod64.dll as the one that you have exported banks with. Up until the most recent release we included a fairly old .dll with our integration, which didn’t have all the internal DSP parameters that the new one have.

Note that the most our most recent UE4 integration has better logging of these sorts of problems. The warnings about not loading plugins are shown in yellow, but any errors in PIE are shown in red.

  • You must to post comments
Showing 1 result
Your Answer

Please first to submit.